Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# Base Types

## Classes

class | openvrml::color
| A color. More...
class | openvrml::vec2f
| Two-component single precision vector. More...
class | openvrml::vec3f
| Three-component single precision vector. More...
class | openvrml::rotation
| A rotation. More...
class | openvrml::mat4f
| A class for all matrix operations. More...
class | openvrml::quatf
| A quaternion. More...
class | openvrml::image
| Pixmap data. More...

## Typedefs

typedef int32_t | openvrml::int32
| 32-bit signed integer.

## Typedef Documentation

openvrml::int32

| 32-bit signed integer.